<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="class">
    <name>KDecoration</name>
    <filename>classKDecoration.html</filename>
    <base>QObject</base>
    <base>KDecorationDefines</base>
    <member kind="slot">
      <type>void</type>
      <name>closeWindow</name>
      <anchor>g0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>maximize</name>
      <anchor>g1</anchor>
      <arglist>(MaximizeMode mode)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>minimize</name>
      <anchor>g2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>showContextHelp</name>
      <anchor>g3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setDesktop</name>
      <anchor>g4</anchor>
      <arglist>(int desktop)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>toggleOnAllDesktops</name>
      <anchor>g5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>titlebarDblClickOperation</name>
      <anchor>g6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setShade</name>
      <anchor>g7</anchor>
      <arglist>(bool set)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setKeepAbove</name>
      <anchor>g8</anchor>
      <arglist>(bool set)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setKeepBelow</name>
      <anchor>g9</anchor>
      <arglist>(bool set)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KDecoration</name>
      <anchor>a0</anchor>
      <arglist>(KDecorationBridge *bridge, KDecorationFactory *factory)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KDecoration</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isActive</name>
      <anchor>a2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isCloseable</name>
      <anchor>a3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isMaximizable</name>
      <anchor>a4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>MaximizeMode</type>
      <name>maximizeMode</name>
      <anchor>a5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isMinimizable</name>
      <anchor>a6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>providesContextHelp</name>
      <anchor>a7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>desktop</name>
      <anchor>a8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isOnAllDesktops</name>
      <anchor>a9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isModal</name>
      <anchor>a10</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isShadeable</name>
      <anchor>a11</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isShade</name>
      <anchor>a12</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isSetShade</name>
      <anchor>a13</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>keepAbove</name>
      <anchor>a14</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>keepBelow</name>
      <anchor>a15</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isMovable</name>
      <anchor>a16</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isResizable</name>
      <anchor>a17</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>NET::WindowType</type>
      <name>windowType</name>
      <anchor>a18</anchor>
      <arglist>(unsigned long supported_types) const</arglist>
    </member>
    <member kind="function">
      <type>QIconSet</type>
      <name>icon</name>
      <anchor>a19</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>caption</name>
      <anchor>a20</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showWindowMenu</name>
      <anchor>a21</anchor>
      <arglist>(QPoint pos)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>performWindowOperation</name>
      <anchor>a22</anchor>
      <arglist>(WindowOperation op)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMask</name>
      <anchor>a23</anchor>
      <arglist>(const QRegion &amp;reg, int mode=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clearMask</name>
      <anchor>a24</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isPreview</name>
      <anchor>a25</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QRect</type>
      <name>geometry</name>
      <anchor>a26</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QRect</type>
      <name>iconGeometry</name>
      <anchor>a27</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QRegion</type>
      <name>unobscuredRegion</name>
      <anchor>a28</anchor>
      <arglist>(const QRegion &amp;r) const</arglist>
    </member>
    <member kind="function">
      <type>QWidget *</type>
      <name>workspaceWidget</name>
      <anchor>a29</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>width</name>
      <anchor>a30</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>height</name>
      <anchor>a31</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>processMousePressEvent</name>
      <anchor>a32</anchor>
      <arglist>(QMouseEvent *e)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>init</name>
      <anchor>a33</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual Position</type>
      <name>mousePosition</name>
      <anchor>a34</anchor>
      <arglist>(const QPoint &amp;p) const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>borders</name>
      <anchor>a35</anchor>
      <arglist>(int &amp;left, int &amp;right, int &amp;top, int &amp;bottom) const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>resize</name>
      <anchor>a36</anchor>
      <arglist>(const QSize &amp;s)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QSize</type>
      <name>minimumSize</name>
      <anchor>a37</anchor>
      <arglist>() const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>activeChange</name>
      <anchor>a38</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>captionChange</name>
      <anchor>a39</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>iconChange</name>
      <anchor>a40</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>maximizeChange</name>
      <anchor>a41</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>desktopChange</name>
      <anchor>a42</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>shadeChange</name>
      <anchor>a43</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>drawbound</name>
      <anchor>a44</anchor>
      <arglist>(const QRect &amp;geom, bool clear)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>animateMinimize</name>
      <anchor>a45</anchor>
      <arglist>(bool minimize)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>windowDocked</name>
      <anchor>a46</anchor>
      <arglist>(Position side)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>reset</name>
      <anchor>a47</anchor>
      <arglist>(unsigned long changed)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMainWidget</name>
      <anchor>a48</anchor>
      <arglist>(QWidget *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>createMainWidget</name>
      <anchor>a49</anchor>
      <arglist>(WFlags flags=0)</arglist>
    </member>
    <member kind="function">
      <type>QWidget *</type>
      <name>initialParentWidget</name>
      <anchor>a50</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>WFlags</type>
      <name>initialWFlags</name>
      <anchor>a51</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>helperShowHide</name>
      <anchor>a52</anchor>
      <arglist>(bool show)</arglist>
    </member>
    <member kind="function">
      <type>QWidget *</type>
      <name>widget</name>
      <anchor>a53</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const QWidget *</type>
      <name>widget</name>
      <anchor>a54</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>KDecorationFactory *</type>
      <name>factory</name>
      <anchor>a55</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>grabXServer</name>
      <anchor>a56</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ungrabXServer</name>
      <anchor>a57</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>const KDecorationOptions *</type>
      <name>options</name>
      <anchor>d0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="protected">
      <type>friend class</type>
      <name>KDecorationOptions</name>
      <anchor>l0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KDecorationDefines</name>
    <filename>classKDecorationDefines.html</filename>
    <member kind="enumeration">
      <name>Position</name>
      <anchor>s56</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>MaximizeMode</name>
      <anchor>s57</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>MaximizeRestore</name>
      <anchor>s57s9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>MaximizeVertical</name>
      <anchor>s57s10</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>MaximizeHorizontal</name>
      <anchor>s57s11</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>MaximizeFull</name>
      <anchor>s57s12</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>ColorType</name>
      <anchor>s59</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ColorTitleBar</name>
      <anchor>s59s33</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ColorTitleBlend</name>
      <anchor>s59s34</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ColorFont</name>
      <anchor>s59s35</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ColorButtonBg</name>
      <anchor>s59s36</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ColorFrame</name>
      <anchor>s59s37</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ColorHandle</name>
      <anchor>s59s38</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SettingDecoration</name>
      <anchor>s60s40</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SettingColors</name>
      <anchor>s60s41</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SettingFont</name>
      <anchor>s60s42</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SettingButtons</name>
      <anchor>s60s43</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SettingTooltips</name>
      <anchor>s60s44</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SettingBorder</name>
      <anchor>s60s45</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>BorderSize</name>
      <anchor>s61</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>BorderTiny</name>
      <anchor>s61s46</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>BorderNormal</name>
      <anchor>s61s47</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>BorderLarge</name>
      <anchor>s61s48</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>BorderVeryLarge</name>
      <anchor>s61s49</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>BorderHuge</name>
      <anchor>s61s50</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>BorderVeryHuge</name>
      <anchor>s61s51</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>BorderOversized</name>
      <anchor>s61s52</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KDecorationOptions</name>
    <filename>classKDecorationOptions.html</filename>
    <base>KDecorationDefines</base>
    <member kind="function">
      <type></type>
      <name>KDecorationOptions</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KDecorationOptions</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const QColor &amp;</type>
      <name>color</name>
      <anchor>a2</anchor>
      <arglist>(ColorType type, bool active=true) const</arglist>
    </member>
    <member kind="function">
      <type>const QColorGroup &amp;</type>
      <name>colorGroup</name>
      <anchor>a3</anchor>
      <arglist>(ColorType type, bool active=true) const</arglist>
    </member>
    <member kind="function">
      <type>const QFont &amp;</type>
      <name>font</name>
      <anchor>a4</anchor>
      <arglist>(bool active=true, bool small=false) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>customButtonPositions</name>
      <anchor>a5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>titleButtonsLeft</name>
      <anchor>a6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>titleButtonsRight</name>
      <anchor>a7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showTooltips</name>
      <anchor>a8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>BorderSize</type>
      <name>preferredBorderSize</name>
      <anchor>a9</anchor>
      <arglist>(KDecorationFactory *factory) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>moveResizeMaximizedWindows</name>
      <anchor>a10</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual unsigned long</type>
      <name>updateSettings</name>
      <anchor>a11</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="variable" protection="public">
      <type>KDecorationOptionsPrivate *</type>
      <name>d</name>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
</tagfile>
